%define url_ver %(echo %{version}|cut -d. -f1,2)

Name:           mate-screensaver
Version:        1.6.2
Release:        %mkrel 1
Summary:        MATE Screensaver
License:        GPLv2+ and LGPLv2+
Group:          Graphical desktop/MATE
URL:            http://pub.mate-desktop.org
Source0:        http://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz
Source1:        xscreensaver-themed.desktop.in
Source2:        mate-screensaver-mga.gschema.override
# (vdanen) drops setgid calls to work with tcb auth
Patch0:         mate-screensaver-1.6.0-mga-drop_setgid.patch

BuildRequires: intltool
BuildRequires: mate-common
BuildRequires: pam-devel
BuildRequires: pkgconfig(dbus-glib-1)
BuildRequires: pkgconfig(gl)
BuildRequires: pkgconfig(gtk+-2.0)
BuildRequires: pkgconfig(libmate-menu)
BuildRequires: pkgconfig(libmatekbdui)
BuildRequires: pkgconfig(libnotify)
BuildRequires: pkgconfig(mate-desktop-2.0)
BuildRequires: pkgconfig(xext)
BuildRequires: pkgconfig(xxf86misc)
BuildRequires: pkgconfig(xxf86vm)
BuildRequires: pkgconfig(xtst)
BuildRequires: pkgconfig(systemd)
BuildRequires: pkgconfig(xscrnsaver)

Requires:       mate-keyring >= 1.1.0
Requires:       mate-backgrounds
Requires:       mate-power-manager
Requires:       libxslt-proc
Requires:       dbus-x11
Requires:       mageia-theme-Default-screensaver

%description
mate-screensaver is a screen saver and locker that aims to have
simple, sane, secure defaults and be well integrated with the desktop.

%package devel
Summary: Development files for mate-screensaver
Group:   Development/C
Requires: %{name} = %{version}

%description devel
Development files for mate-screensaver

%prep
%setup -q
%apply_patches

%build
%configure2_5x                      \
            --with-x                \
            --with-gtk=2.0          \
            --disable-schemas-compile \
            --with-mit-ext          \
            --with-xf86gamma-ext    \
            --with-libgl            \
            --with-shadow           \
            --enable-locking        \
            --with-systemd          \
            --enable-pam
%make

%install
%makeinstall_std

sed -ie 's@XSL=${DIST_BIN}/xscreensaver-config.xsl@XSL=%{_datadir}/mate-screensaver/xscreensaver-config.xsl@' \
        data/migrate-xscreensaver-config.sh
sed -ie 's@b=`basename ${FILE} .xml`@b=xscreensaver-`basename ${FILE} .xml`@' \
        data/migrate-xscreensaver-config.sh

install -m755 data/migrate-xscreensaver-config.sh %{buildroot}%{_datadir}/mate-screensaver
install -m644 data/xscreensaver-config.xsl %{buildroot}%{_datadir}/mate-screensaver

# Add Magia default screensaver
install -m644 %{_sourcedir}/xscreensaver-themed.desktop.in %{buildroot}%{_datadir}/applications/screensavers/xscreensaver-themed.desktop

# Do we need this doc?
rm -fr %{buildroot}%{_docdir}/mate-screensaver-1.6.0

%find_lang %{name} --with-gnome

%triggerin -- xscreensaver-base xscreensaver-gl xscreensaver-extrusion xscreensaver-matrix
(  cd %{_datadir}/applications/screensavers ; \
  for f in %{_datadir}/xscreensaver/config/*.xml; do
    %{_datadir}/mate-screensaver/migrate-xscreensaver-config.sh $f > /dev/null 2>&1
  done)

%triggerun -- xscreensaver-base
[ "$2" = 0 ] || exit 0
(cd %{_datadir}/applications/screensavers; \
for f in $(rpm -ql xscreensaver-base | grep '%{_datadir}/xscreensaver/config/'); do
  rm -f xscreensaver-$(basename $f .xml).desktop
done)

%triggerun -- xscreensaver-gl
[ "$2" = 0 ] || exit 0
(cd %{_datadir}/applications/screensavers; \
for f in $(rpm -ql xscreensaver-gl | grep '%{_datadir}/xscreensaver/config/'); do
  rm -f xscreensaver-$(basename $f .xml).desktop
done)

%triggerun -- xscreensaver-extrusion
[ "$2" = 0 ] || exit 0
(cd %{_datadir}/applications/screensavers; \
for f in $(rpm -ql xscreensaver-extrusion | grep '%{_datadir}/xscreensaver/config/'); do
  rm -f xscreensaver-$(basename $f .xml).desktop
done)

%triggerun -- xscreensaver-matrix
[ "$2" = 0 ] || exit 0
(cd %{_datadir}/applications/screensavers; \
for f in $(rpm -ql xscreensaver-matrix | grep '%{_datadir}/xscreensaver/config/'); do
  rm -f xscreensaver-$(basename $f .xml).desktop
done)

%files -f %{name}.lang
%doc AUTHORS NEWS README COPYING
%{_bindir}/mate-screensaver*
%config(noreplace) %{_sysconfdir}/pam.d/mate-screensaver
%config(noreplace) %{_sysconfdir}/xdg/menus/mate-screensavers.menu
%{_sysconfdir}/xdg/autostart/mate-screensaver.desktop
%{_libexecdir}/mate-screensaver-*
%{_libexecdir}/mate-screensaver
%{_datadir}/applications/mate-screensaver-preferences.desktop
%{_datadir}/applications/screensavers/*.desktop
%{_datadir}/mate-screensaver
%{_datadir}/backgrounds/cosmos/
%{_datadir}/pixmaps/mate-logo-white.svg
%{_datadir}/desktop-directories/mate-screensaver.directory
%{_datadir}/MateConf/gsettings/org.mate.screensaver.gschema.migrate
%{_datadir}/glib-2.0/schemas/org.mate.screensaver.gschema.xml
%{_datadir}/mate-background-properties/cosmos.xml
%{_datadir}/dbus-1/services/org.mate.ScreenSaver.service
%{_mandir}/man1/*

%files devel
%{_libdir}/pkgconfig/*



%changelog
* Thu Feb 06 2014 tarakbumba <tarakbumba> 1.6.2-1.mga4
+ Revision: 584786
-Update to bugfix version: 1.6.2
-Drop mate-screensaver-1.6.0-mga-default.patch
-Drop upstream patches
-Add gscheme.override for default mageia options

* Sat Oct 19 2013 umeabot <umeabot> 1.6.1-2.mga4
+ Revision: 531776
- Mageia 4 Mass Rebuild

* Thu Aug 08 2013 diogenese <diogenese> 1.6.1-1.mga4
+ Revision: 464767
- updated sources to 1.6.1 and removed upstream patch

* Thu Jun 20 2013 tarakbumba <tarakbumba> 1.6.0-1.mga4
+ Revision: 445269
- imported package mate-screensaver

